package rocks.zipcode.io.quiz4.collections;
import java.awt.*;
import java.util.ArrayList;
import java.util.Iterator;

/**
 * @author leon on 11/12/2018.
 */
public class SimpleStringGroup implements Iterable{

    private ArrayList stringList;

    public SimpleStringGroup() {
        stringList = new ArrayList<String>();
    }

    public Integer count() {
        return stringList.size();
    }

    public void insert(String string) {
        stringList.add(string);
    }

    public Boolean has(String valueToInsert) {
        return stringList.contains(valueToInsert);
    }

    public String fetch(int indexOfValue) {
        return (String) stringList.get(indexOfValue);
    }

    public void delete(String valueToInsert) {
        stringList.remove(valueToInsert);
    }

    public void clear() {
        stringList.clear();
    }

    @Override
    public Iterator iterator() {
        return stringList.iterator();
    }
}
