package rocks.zipcode.io.quiz4.collections;

import rocks.zipcode.io.quiz4.objectorientation.Student;

import java.util.HashMap;
import java.util.Map;

/**
 * @author leon on 11/12/2018.
 */
public class ZipCodeWilmington {

    private Map<Student, Double> students;
    private Student student;

    public ZipCodeWilmington() {
        students = new HashMap<>();
    }

    public ZipCodeWilmington(Map<Student, Double> students) {
        this.students = students;
    }

    public void enroll(Student student) {
        students.put(student, 0.0);
    }

    public Boolean isEnrolled(Student student) {
        return students.containsKey(student);
    }

    public void lecture(double numberOfHours) {
        student.learn(numberOfHours);
    }

    public Map<Student, Double> getStudyMap() {
        return null;
    }
}
