package rocks.zipcode.io.quiz4.generics;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * @author leon on 18/12/2018.
 */
public class Group<SomeType> implements GroupInterface<SomeType> {

    private ArrayList groupList;

    public Group() {
        groupList = new ArrayList<SomeType>();
    }

    public Integer count() {
        return groupList.size();
    }

    public void insert(SomeType value) {
        groupList.add(value);
    }

    public Boolean has(SomeType value) {
        return groupList.contains(value);
    }

    public SomeType fetch(int indexOfValue) {
        return (SomeType) groupList.get(indexOfValue);
    }

    public void delete(SomeType value) {
        groupList.remove(value);
    }

    public void clear() {
        groupList.clear();
    }

    public Iterator<SomeType> iterator() {
        return groupList.iterator();
    }

    @Override
    public String toString() {
        return ""+groupList;
    }
}
