package rocks.zipcode.io.quiz4.generics;

import java.awt.*;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;

/**
 * @author leon on 18/12/2018.
 */
public class SortedGroup<Type> implements GroupInterface {
    LinkedList sortedList;

    public SortedGroup() {
        sortedList = new LinkedList<Type>();
    }

    public Integer indexOf(Type firstValue) {
        return sortedList.indexOf(firstValue);
    }

    @Override
    public Integer count() {
        return sortedList.size();
    }

    @Override
    public Boolean has(Object valueToInsert) {
        return sortedList.contains(valueToInsert);
    }

    @Override
    public Object fetch(int indexOfValue) {
        return sortedList.get(indexOfValue);
    }

    @Override
    public void insert(Object string) {
        sortedList.add(string);
    }

    @Override
    public void delete(Object valueToInsert) {
        sortedList.remove(valueToInsert);
    }

    @Override
    public void clear() {
        sortedList.clear();
    }

    @Override
    public Iterator iterator() {
        return sortedList.iterator();
    }
}
